import greenfoot.*;
public class Levels  extends World
{
    public int level;
    public Levels()
    {   
        super(800,500,1);
       
        levelZero();
    }
    public void levelZero()
    {
        level = 0;
        removeObjects(getObjects(Actor.class));
        addObject(new Figure(),100,420);
       
                addObject(new Block(),100,487);
                addObject(new Block(),250,487);
                addObject(new Block(),400,487);
                addObject(new Block2(),530,440);
                addObject(new Spring(),630,460);
                addObject(new Lift2upsidedown(),740,150);
                addObject(new Spring1(),510,255);
                addObject(new Block2(),320,280);
                addObject(new Spring1(),150,255);
                addObject(new Monster1(),300,370);
                addObject(new SpikesLeftMove(),20,25);
                addObject(new SpikesLeftMove(),20,65);
                addObject(new SpikesLeftMove(),420,25);
                addObject(new SpikesLeftMove(),420,65);
                
                addObject(new Title(),418,175);
                addObject(new Play(),411,318);
    }
    public void levelOne()
    {
        level = 1;
        removeObjects(getObjects(Actor.class));
        addObject(new Figure(),100,420);
       
                addObject(new Block(),100,487);
                addObject(new Block(),300,460);
                addObject(new Block(),450,460);
                addObject(new Spring(),600,460);
                addObject(new Block(),730,280);
                addObject(new Block(),480,280);
                addObject(new Block(),320,235);
                addObject(new Monster1(),300,370);
                addObject(new Monster1(),100,150);
                addObject(new Spring1(),185,280);
                addObject(new Block(),80,100);
                addObject(new Finish(),85,40);
                addObject(new LogoLevel1(),600,50);
    }
    public void levelTwo()
    {
        level = 2;
        removeObjects(getObjects(Actor.class));
        addObject(new Figure(),100,420);
       
                addObject(new Block(),100,487);
                addObject(new Block(),250,470);
                addObject(new Spring(),390,460);
                addObject(new Block(),250,300);
                addObject(new Spikes(),280,95);
                addObject(new Spring1(),80,280);
                addObject(new Block(),280,120);
                addObject(new Block(),430,140);
                addObject(new Block(),720,220);
                addObject(new Monster1left(),290,198);
                addObject(new Monster2upper(),556,300);
                addObject(new Finish(),720,160);
                addObject(new LogoLevel2(),600,50);
    }  
    public void levelThree()
    {
        level = 3;
        removeObjects(getObjects(Actor.class));
        addObject(new Figure(),100,420);
       
                addObject(new Block(),100,487);
                addObject(new Block3(),180,430);
                addObject(new Spring1(),220,480);
                addObject(new Block(),340,487);
                addObject(new Fireball(),430,480);
                addObject(new Block(),530,487);
                addObject(new Block2(),630,450);
                addObject(new Block2(),720,430);
                addObject(new Button1(),720,415);
                addObject(new Monster2lower(),560,270);
                addObject(new Monster2lower(),270,270);
                addObject(new Block2(),340,280);
                addObject(new Block2(),440,250);
                addObject(new Block2(),540,220);
                addObject(new Block(),660,150);
                
                addObject(new Gate1(),640,100);
                addObject(new Finish(),720,100);
                addObject(new LogoLevel3(),600,50);
    }
    
    
    public void addLevel()
    {
        level++;
       
        if(level == 1) levelOne();
        if(level == 2) levelTwo();
        if(level == 3) levelThree();
        if(level == 4) addObject(new FinishText(), 400,250);
    }

    public int getLevel()
    {
        return level;
    }
    public void removeGate1(){
        removeObjects(getObjects(Gate1.class));
    }
    public void removeGate2(){
        removeObjects(getObjects(Gate2.class));
    }
    public void removeGate3(){
        removeObjects(getObjects(Gate3.class));
    }
    public void resetLevel(){
        if(level == 1) levelOne();
        if(level == 2) levelTwo();
        if(level == 3) levelThree();
    }
    
}