import greenfoot.*;  
public class Monster2lower  extends Mover
{
    public int speed = 5;
    public void act() {
        move(8);
        startTurn();
        topWall();
        bottomWall();
        checkLaserBeam();
    }
    
        public boolean canSee(Class clss)
    {
        Actor actor = getOneObjectAtOffset(0, 0, clss);
        return actor != null;  
    }    
    
    public void startTurn(){
        if(getY()==500){
            setRotation(270);
        }
    }
    public void topWall(){
        if(getY()<=270){
            setImage("Monster2flip.png");
            setRotation(90);
        }
    }
    public void bottomWall(){
        if(getY()>=495){
            setImage("Monster20.png");
            setRotation(270);
        }
    }
    
    public void die(){
        setLocation(799,500);
    } 
    
    /* This code is for the monster to check if it has been hit by a laser beam,  
     * and if it is hit, it is to be removed from the world.*/
    public void checkLaserBeam()
    {
        LaserBeam a = (LaserBeam) getOneIntersectingObject(LaserBeam.class);
        if(canSee(LaserBeam.class))
        {
            die();
        }
    }
}
